All of lore.kernel.org
 help / color / mirror / Atom feed
From: Stefano Stabellini <sstabellini@kernel.org>
To: andrew.cooper3@citrix.com, cardoe@cardoe.com, wl@xen.org
Cc: sstabellini@kernel.org, xen-devel@lists.xenproject.org,
	Stefano Stabellini <stefano.stabellini@xilinx.com>
Subject: [PATCH v3 03/12] automation: pass --disable-werror for QEMUU builds if libc is musl
Date: Tue, 24 Nov 2020 20:27:36 -0800	[thread overview]
Message-ID: <20201125042745.31986-3-sstabellini@kernel.org> (raw)
In-Reply-To: <alpine.DEB.2.21.2011241722540.7979@sstabellini-ThinkPad-T480s>

QEMU upstream builds with warnings when libc is musl:

  #warning redirecting incorrect #include <sys/signal.h> to <signal.h>

Disable -Werror by passing --disable-werror to the QEMUU config script
if libc is musl.

Signed-off-by: Stefano Stabellini <stefano.stabellini@xilinx.com>
---
 automation/scripts/build | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/automation/scripts/build b/automation/scripts/build
index 7038e5eb50..3fb2fe134c 100755
--- a/automation/scripts/build
+++ b/automation/scripts/build
@@ -28,6 +28,11 @@ if [[ "${CC}" == "clang"* ]]; then
     cfgargs+=("--disable-stubdom")
 fi
 
+# disable --disable-werror for QEMUU when building with MUSL
+if ! test -z "$(ldd /bin/ls|grep musl|head -1)"; then
+	cfgargs+=("--with-extra-qemuu-configure-args=\"--disable-werror\"")
+fi
+
 # Qemu requires Python 3.5 or later
 if ! type python3 || python3 -c "import sys; res = sys.version_info < (3, 5); exit(not(res))"; then
     cfgargs+=("--with-system-qemu=/bin/false")
-- 
2.17.1



  parent reply	other threads:[~2020-11-25  4:27 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-25  4:27 [PATCH v3 00/12] automation: improvements (mostly) for arm64 Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 01/12] automation: add a QEMU aarch64 smoke test Stefano Stabellini
2020-12-04 10:40   ` Wei Liu
2020-12-04 21:40     ` Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 02/12] automation: add dom0less to the " Stefano Stabellini
2020-11-25  4:27 ` Stefano Stabellini [this message]
2020-11-25  4:27 ` [PATCH v3 04/12] automation: add alpine linux 3.12 arm64 build container Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 05/12] automation: add alpine linux arm64 build test Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 06/12] automation: add alpine linux 3.12 x86 build container Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 07/12] automation: add alpine linux x86 build jobs Stefano Stabellini
2020-11-26  0:26   ` Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 08/12] automation: add tests artifacts Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 09/12] automation: make available the tests artifacts to the pipeline Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 10/12] automation: create an alpine linux arm64 test job Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 11/12] automation: use the tests-artifacts kernel for qemu-smoke-arm64-gcc Stefano Stabellini
2020-11-25  4:27 ` [PATCH v3 12/12] automation: add domU creation to dom0 alpine linux test Stefano Stabellini
2020-12-04 10:41 ` [PATCH v3 00/12] automation: improvements (mostly) for arm64 Wei Liu

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20201125042745.31986-3-sstabellini@kernel.org \
    --to=sstabellini@kernel.org \
    --cc=andrew.cooper3@citrix.com \
    --cc=cardoe@cardoe.com \
    --cc=stefano.stabellini@xilinx.com \
    --cc=wl@xen.org \
    --cc=xen-devel@lists.xenproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.